## Script (Python) "forum_get_forum_data"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=forum
##title=Get forum topics
##

topics = catalog = forum.forum_catalog()

try:
    topic = topics[0]
except IndexError:
    return { 'posts':0, 'hits': 0, 'replies':0, 'last_user': None, 'last_mtime': None,
             'last_reply': None, 'topic': None }

replies = 0
hits = 0
num = 0

for t in topics:
    tobj = t.getObject()
    replies += tobj.replies
    hits += tobj.hits
    num += 1

brains = context.portal_catalog(
    path='/'.join(forum.getPhysicalPath()), sort_on='created', sort_order='reverse')
if brains:
    brain = brains[0]
    if brain.Type == 'Forum Folder':
        brain = brains[1]

    last_reply = brain.getObject()
    last_reply_user = brain.Creator
    last_mtime = brain.modified

    return { 'posts':num, 'hits':hits, 'replies':replies,
             'topic_br': topic, 'topic': topic.getObject(),
             'last_reply': last_reply, 'last_user': last_reply_user, 'last_mtime': last_mtime, }
else:
    return { 'posts':num, 'hits':hits, 'replies':replies,
             'topic_br': topic, 'topic': topic.getObject(),
             'last_reply': None, 'last_user': None, 'last_mtime': None, }
